package eu.teraflow.policy.context.model;

public class LocationTypeGpsPosition implements LocationType<GpsPosition> {
    private final GpsPosition gpsPosition;

    public LocationTypeGpsPosition(GpsPosition gpsPosition) {
        this.gpsPosition = gpsPosition;
    }

    @Override
    public GpsPosition getLocationType() {
        return this.gpsPosition;
    }

    @Override
    public String toString() {
        return String.format("%s:{%s}", getClass().getSimpleName(), gpsPosition);
    }
}
